Subject: bug#44080: 27.1; Display behavior of overlays `after-string` in resizable minibuffer frames

From: Eli Zaretskii <[email-masked]>
Date: Wed, 21 Oct 2020 18:00:41 +0300

> Cc: [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Wed, 21 Oct 2020 15:49:00 +0200
> 
> (1) Rename 'fit-frame-to-buffer' to say 'fit-frame-to-buffer-1' and give
> that function two new arguments FROM and TO.  In its
> 'window-text-pixel-size' call, replace the "t t" with "from to".
> 
> (2) Provide a new function 'fit-frame-to-buffer' with the same singature
> as the old 'fit-frame-to-buffer' that calls `fit-frame-to-buffer-1' with
> FROM and TO t.
> 
> (3) Provide a new function 'fit-mini-frame-to-buffer' that calls
> 'fit-frame-to-buffer-1' with FROM and TO nil.  Offer that function as
> first choice when customizing 'resize-mini-frames' and call it in
> 'window--resize-mini-frame' when 'resize-mini-frames' is nil.
> 
> If 'fit-frame-to-buffer' has additional defects when used for resizing
> mini frames, we could try to fix them in 'fit-mini-frame-to-buffer' as
> well.  WDYT?

SGTM, if this fixes the original problem (as I think it will).

Thanks.